## qlshop 0.1

=== src-build-desktop/Makefile ===
#############################################################################
# Makefile for building: qlshop
# Generated by qmake (2.01a) (Qt 4.6.2) on: lun ott 11 13:35:47 2010
# Project:  ../src/src.pro
# Template: app
# Command: /opt/qtsdk-2010.02/qt/bin/qmake -spec /opt/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../src/src.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR=\"/usr/local/share/qlshop\" -DPKGDATADIR=\"\" -DQT_DECLARATIVE_LIB -DQT_SQL_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/opt/qtsdk-2010.02/qt/mkspecs/linux-g++ -I../src -I/opt/qtsdk-2010.02/qt/include/QtCore -I/opt/qtsdk-2010.02/qt/include/QtGui -I/opt/qtsdk-2010.02/qt/include/QtSql -I/opt/qtsdk-2010.02/qt/include/QtDeclarative -I/opt/qtsdk-2010.02/qt/include -I. -I../src -I.
LINK          = g++
LFLAGS        = -Wl,-rpath,/opt/qtsdk-2010.02/qt/lib
LIBS          = $(SUBLIBS)  -L/opt/qtsdk-2010.02/qt/lib -lQtDeclarative -lQtSql -L/opt/qtsdk-2010.02/qt/lib -lQtGui -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /opt/qtsdk-2010.02/qt/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = ../src/main.cpp \
		../src/qlsqltablemodel.cpp moc_qlsqltablemodel.cpp
OBJECTS       = main.o \
		qlsqltablemodel.o \
		moc_qlsqltablemodel.o
DIST          = /opt/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/opt/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/opt/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/opt/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/opt/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf \
		../src/src.pro
QMAKE_TARGET  = qlshop
DESTDIR       = 
TARGET        = qlshop

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: ../src/src.pro  /opt/qtsdk-2010.02/qt/mkspecs/linux-g++/qmake.conf /opt/qtsdk-2010.02/qt/mkspecs/common/g++.conf \
		/opt/qtsdk-2010.02/qt/mkspecs/common/unix.conf \
		/opt/qtsdk-2010.02/qt/mkspecs/common/linux.conf \
		/opt/qtsdk-2010.02/qt/mkspecs/qconfig.pri \
		/opt/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/debug.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/default_post.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/qt.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/moc.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/resources.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/uic.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/yacc.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/lex.prf \
		/opt/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf \
		/opt/qtsdk-2010.02/qt/lib/libQtSql.prl \
		/opt/qtsdk-2010.02/qt/lib/libQtCore.prl \
		/opt/qtsdk-2010.02/qt/lib/libQtGui.prl
	$(QMAKE) -spec /opt/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../src/src.pro
/opt/qtsdk-2010.02/qt/mkspecs/common/g++.conf:
/opt/qtsdk-2010.02/qt/mkspecs/common/unix.conf:
/opt/qtsdk-2010.02/qt/mkspecs/common/linux.conf:
/opt/qtsdk-2010.02/qt/mkspecs/qconfig.pri:
/opt/qtsdk-2010.02/qt/mkspecs/features/qt_functions.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/qt_config.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/exclusive_builds.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/default_pre.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/debug.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/default_post.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/warn_on.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/qt.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/unix/thread.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/moc.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/resources.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/uic.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/yacc.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/lex.prf:
/opt/qtsdk-2010.02/qt/mkspecs/features/include_source_dir.prf:
/opt/qtsdk-2010.02/qt/lib/libQtSql.prl:
/opt/qtsdk-2010.02/qt/lib/libQtCore.prl:
/opt/qtsdk-2010.02/qt/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -spec /opt/qtsdk-2010.02/qt/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile ../src/src.pro

dist: 
	@$(CHK_DIR_EXISTS) ../src/.tmp/qlshop1.0.0 || $(MKDIR) ../src/.tmp/qlshop1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../src/.tmp/qlshop1.0.0/ && $(COPY_FILE) --parents ../src/connection.h ../src/qlsqltablemodel.h ../src/.tmp/qlshop1.0.0/ && $(COPY_FILE) --parents ../src/main.cpp ../src/qlsqltablemodel.cpp ../src/.tmp/qlshop1.0.0/ && (cd `dirname ../src/.tmp/qlshop1.0.0` && $(TAR) qlshop1.0.0.tar qlshop1.0.0 && $(COMPRESS) qlshop1.0.0.tar) && $(MOVE) `dirname ../src/.tmp/qlshop1.0.0`/qlshop1.0.0.tar.gz . && $(DEL_FILE) -r ../src/.tmp/qlshop1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_qlsqltablemodel.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_qlsqltablemodel.cpp
moc_qlsqltablemodel.cpp: ../src/qlsqltablemodel.h
	/opt/qtsdk-2010.02/qt/bin/moc $(DEFINES) $(INCPATH) ../src/qlsqltablemodel.h -o moc_qlsqltablemodel.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: ../src/main.cpp ../src/connection.h \
		../src/qlsqltablemodel.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o ../src/main.cpp

qlsqltablemodel.o: ../src/qlsqltablemodel.cpp ../src/qlsqltablemodel.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qlsqltablemodel.o ../src/qlsqltablemodel.cpp

moc_qlsqltablemodel.o: moc_qlsqltablemodel.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_qlsqltablemodel.o moc_qlsqltablemodel.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/bin/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/bin/ 
	-$(INSTALL_PROGRAM) "$(QMAKE_TARGET)" "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/local/bin/$(QMAKE_TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/bin/ 


install_desktop: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/share/applications/hildon/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/share/applications/hildon/ 
	-$(INSTALL_FILE) /scratchbox/users/nicola/home/nicola/qlshop-0.1/src/qlshop.desktop $(INSTALL_ROOT)/usr/local/share/applications/hildon/


uninstall_desktop:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/applications/hildon/qlshop.desktop
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/share/applications/hildon/ 


install_qmls: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/ 
	-$(INSTALL_FILE) /scratchbox/users/nicola/home/nicola/qlshop-0.1/src/resources/List.qml $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/
	-$(INSTALL_FILE) /scratchbox/users/nicola/home/nicola/qlshop-0.1/src/resources/Main.qml $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/
	-$(INSTALL_FILE) /scratchbox/users/nicola/home/nicola/qlshop-0.1/src/resources/Bar.qml $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/
	-$(INSTALL_FILE) /scratchbox/users/nicola/home/nicola/qlshop-0.1/src/resources/TextButton.qml $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/
	-$(INSTALL_FILE) /scratchbox/users/nicola/home/nicola/qlshop-0.1/src/resources/BarItems.qml $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/
	-$(INSTALL_FILE) /scratchbox/users/nicola/home/nicola/qlshop-0.1/src/resources/DialogInfo.qml $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/
	-$(INSTALL_FILE) /scratchbox/users/nicola/home/nicola/qlshop-0.1/src/resources/DialogItem.qml $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/
	-$(INSTALL_FILE) /scratchbox/users/nicola/home/nicola/qlshop-0.1/src/resources/ListItemsToShop.qml $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/
	-$(INSTALL_FILE) /scratchbox/users/nicola/home/nicola/qlshop-0.1/src/resources/ListItems.qml $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/


uninstall_qmls:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/List.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/Main.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/Bar.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/TextButton.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/BarItems.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/DialogInfo.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/DialogItem.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/ListItemsToShop.qml 
	 -$(DEL_FILE) -r $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/ListItems.qml
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/share/qlshop/qmls/ 


install:  install_target install_desktop install_qmls  FORCE

uninstall: uninstall_target uninstall_desktop uninstall_qmls   FORCE

FORCE:
