=== debian/changelog ===
qlshop (0.1) unstable; urgency=low

  * Initial release 

 -- Nicola De Filippo <nicola@nicoladefilippo.it>  Mon, 21 Dec 2009 14:17:22 +0300
