## qlshop 0.11

=== debian/changelog ===
qlshop (0.11) unstable; urgency=low

  * No extra-devel dependency 

 -- Nicola De Filippo <nicola@nicoladefilippo.it>  Wed, 3 Oct 2010 11:17:22 +0300
