=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: user/other
 Priority: optional
 Maintainer: Nicola De Filippo <nicola@nicoladefilippo.it>
-Build-Depends: debhelper (>= 5), libqt4-experimental-dev
+Build-Depends: debhelper (>= 5), libqt4-dev
 Standards-Version: 3.7.2
 
 Package: qlshop
 Architecture: any
-Depends: libqt4-experimental-declarative, libqt4-experimental-sql, libqt4-experimental-gui,  libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libstdc++6 (>= 4.2.1), hildon-application-manager
+Depends: libqt4-declarative, libqt4-sql, libqt4-gui,  libc6 (>= 2.5.0-1), libgcc1 (>= 1:4.2.1), libstdc++6 (>= 4.2.1), hildon-application-manager
 Description: Qt Shop Apllication
  QLshop is a quick application
  .
